/* XSDKVARS.C */

#include <time.h>
#include "xsdkdefs.h"

#ifndef GLOBAL
#define GLOBAL
#endif

/*******************************/
/* Global Variable Definitions */
/*******************************/
GLOBAL char 	lncntr; 			/* Line counter */
GLOBAL char 	tos;				/* Top of screen */
GLOBAL char 	curatr;
GLOBAL char 	mnehigh,			/* Colors for mnemonics */
				mnelow;
GLOBAL uchar	sys_nodes,			/* Number of nodes on system */
				node_num;			/* Current node number */
GLOBAL char 	sys_name[41],		/* System name */
				sys_op[41], 		/* System operator name */
				sys_guru[41];		/* System guru name */
GLOBAL uint 	timeleft;			/* Time left in seconds */
GLOBAL char 	ctrl_dir[45],		/* SBBS dirs */
				data_dir[45],
				node_dir[45];
GLOBAL uint 	user_number;		/* User's number */
GLOBAL char 	user_name[45],		/* User's name/alias */
				user_misc,			/* User's misc settings */
				user_rows,			/* User's rows per screen */
				user_ml,			/* User's main level */
				user_tl,			/* User's transfer level */
				user_sex,			/* User's sex */
				user_birth[9],		/* User's birthday */
				user_phone[13]; 	/* User's phone number */
GLOBAL ulong	user_cdt;			/* User's credits */

									/* COM port registers: */
GLOBAL uint 	com_base,			/* COM base address */
				com_irq,			/* irq line number     */
				com_rate;      		/* DTE rate in bps     */
GLOBAL char  	com_port;			/* Number of COM port  */

									/* Modem command strings */
GLOBAL char 	mdm_init[41],		/* Initialization */
				mdm_spec[41],		/* Special Initialization */
				mdm_term[41],		/* Terminal Initialization String */
				mdm_dial[41], 		/* Dial	*/
				mdm_offh[41],		/* Off hook	*/
				mdm_answ[41], 		/* Answer */
                mdm_misc;           /* Misc bits used for flags */

GLOBAL time_t	starttime;			/* Start time-stamp */
GLOBAL char 	wordwrap[81];		/* Wordwrap buffer */
GLOBAL uint 	sec_warn,			/* Seconds till inactivity warning */
				sec_timeout;		/* Seconds till disconnect */

GLOBAL int		nodefile;			/* File descriptor for NODE.DAB */

GLOBAL char 	slbuf[SAVE_LINES][LINE_BUFSIZE+1]; /* Saved for redisplay */
GLOBAL char 	slatr[SAVE_LINES];	/* Starting attribute of each line */
GLOBAL char 	slcnt;			/* Number of lines currently saved */
GLOBAL char 	lbuf[LINE_BUFSIZE];/* Temp storage for each line output */
GLOBAL int		lbuflen;		/* Number of characters in line buffer */
GLOBAL char     latr;           /* Starting attribute of line buffer */
GLOBAL uint 	inDV;			/* DESQview version if running under DV */
GLOBAL int		keybuftop,keybufbot;	/* Keyboard input buffer pointers */
GLOBAL char     keybuf[KEY_BUFSIZE];    /* Keyboard input buffer */
GLOBAL uint far *msr;			/* Last modem status register contents */
GLOBAL char 	**xtrn; 		/* List of external program names */
GLOBAL uint 	total_xtrns;	/* Total number of external programs */
GLOBAL uchar	lastnodemsg;	/* Last node to send a message to */
GLOBAL uchar	name_len;		/* Length of name field in NAME.DAT */
